Bug 256481 - Review Request: gwave - Analog Waveform Viewing Environment
Review Request: gwave - Analog Waveform Viewing Environment
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Xavier Lamien
Fedora Extras Quality Assurance
:
Depends On: 254211
Blocks: 247402
  Show dependency treegraph
 
Reported: 2007-08-27 10:03 EDT by Chitlesh GOORAH
Modified: 2007-12-30 19:42 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-12-30 19:42:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lxtnow: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Chitlesh GOORAH 2007-08-27 10:03:43 EDT
Spec URL: http://chitlesh.fedorapeople.org/gwave/gwave.spec
SRPM URL: http://chitlesh.fedorapeople.org/gwave/gwave-2-1.20070514snap.fc7.src.rpm
Description:
Gwave is a waveform viewer, intended originaly for displaying the output
of analog simulators such as spice, but also useful for other purposes.
Gwave can read tabluar ascii files in addition to the specialized output
files from Spice3, NGSpice, and Hspice. It displays the data as 2-D plots,
and allows for scrolling, zooming, and measuring the waveforms.
Comment 1 Chitlesh GOORAH 2007-08-27 10:15:23 EDT
Log: http://chitlesh.fedorapeople.org/gwave/build.log

Example:
gwave /usr/share/doc/gwave-2/examples/rlc.raw

drag and drop V(1) V(2) and V(3) on the first pane and the rest on the second pane.

You should see:
http://chitlesh.fedorapeople.org/gwave/gwave-rlc.png
Comment 2 Xavier Lamien 2007-10-03 18:45:38 EDT
Starting...
Comment 3 Xavier Lamien 2007-10-20 04:24:46 EDT
Well,

# Exclude Arch ppc and ppc64 in spec file as guile-gnome-platform which's an
dependence not build/and not available on ppc/pcc64 in order to build 
gwave.
Otherwise, its'll fails.
as happened here -> http://koji.fedoraproject.org/koji/taskinfo?taskID=202780

# Remove guile-cairo-devel from BR, guile-gnome-platform already requires
guile-cairo-devel.
Comment 4 Xavier Lamien 2007-10-25 02:27:15 EDT
ping ?
Comment 5 Mamoru TASAKA 2007-11-02 03:00:06 EDT
Umm?
Comment 6 Chitlesh GOORAH 2007-11-02 03:23:12 EDT
Sorry, I'm way too busy writing docs and website for Fedora Electronic Lab right
now.

If you don't mind I'll update gwave as soon as I can (but before F8's release).
Comment 9 Xavier Lamien 2007-11-29 17:13:14 EST
okay, i'll check this out (i was a bit busy too)
Comment 10 Xavier Lamien 2007-12-03 08:18:40 EST
Well,

Koji failed
-> http://koji.fedoraproject.org/koji/getfile?taskID=271323&name=build.log

Just a typo on gwave.desktop file (see link above), a wrong value in desktop entry.

Comment 11 Mamoru TASAKA 2007-12-16 00:09:00 EST
ping?
Comment 12 Xavier Lamien 2007-12-21 02:51:01 EST
re: ping ?
Comment 14 Mamoru TASAKA 2007-12-21 09:16:27 EST
termcap is no longer available on rawhide...
Comment 16 Xavier Lamien 2007-12-30 06:20:32 EST
Okay for me.
Comment 17 Chitlesh GOORAH 2007-12-30 06:28:00 EST
New Package CVS Request
=======================
Package Name: gwave
Short Description: Analog Waveform Viewing Environment
Owners: chitlesh
Branches: F-7 F-8 devel
Cvsextras Commits: no
Comment 18 Mamoru TASAKA 2007-12-30 06:41:32 EST
Well,

- License seems GPLv2+
- Would you explain from where the version "2.1" comes? (The last
  %changelog entry is 2-4.20070514snap
Comment 19 Xavier Lamien 2007-12-30 06:48:47 EST
The version is correctly set to 2 in spec file.
Comment 20 Chitlesh GOORAH 2007-12-30 06:54:01 EST
(In reply to comment #18)
> Well,
> 
> - License seems GPLv2+

Ok, ill update the spec file without dumping the release.

> - Would you explain from where the version "2.1" comes? (The last
>   %changelog entry is 2-4.20070514snap

2.1 ??? where have you seen that ?


Comment 21 Mamoru TASAKA 2007-12-30 07:03:50 EST
(In reply to comment #20)
> (In reply to comment #18)
> > - Would you explain from where the version "2.1" comes? (The last
> >   %changelog entry is 2-4.20070514snap
> 
> 2.1 ??? where have you seen that ?

The following actually has version "2.1".
http://koji.fedoraproject.org/koji/taskinfo?taskID=315118
Comment 22 Chitlesh GOORAH 2007-12-30 07:09:53 EST
Well,my pardon.
There is no upstream version 2.1.
Comment 23 Xavier Lamien 2007-12-30 07:15:29 EST
just run a koji task from scratch and the version is correct
http://koji.fedoraproject.org/koji/taskinfo?taskID=315388

I guess a typo from Chitlesh.
Comment 24 Kevin Fenzi 2007-12-30 12:54:57 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.